/*
 *   This file is a part of the SteamWar software.
 *
 *   Copyright (C) 2025 SteamWar.de-Serverteam
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Affero General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU Affero General Public License for more details.
 *
 *   You should have received a copy of the GNU Affero General Public License
 *   along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package de.steamwar.tntleague.command

import de.steamwar.command.SWCommand
import de.steamwar.tntleague.game.TNTLeagueGame
import org.bukkit.entity.Player

object AcceptCommand: SWCommand("accept") {

    @Register
    fun acceptInvite(sender: Player, @Validator("isLeader") target: Player) {
        if (TNTLeagueGame.state != TNTLeagueGame.GameState.LOBBY) return

        val team = TNTLeagueGame.getTeam(target) ?: return
        if (team.leader != target) return
        if (sender !in team.invites) return

        team.invites.remove(target)
        team.opposite.invites.remove(target)
        team.join(sender)
    }
}